Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class JavaMainTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaMainTab

All Implemented Interfaces:
  org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab

public class JavaMainTab
extends org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab

A launch configuration tab that displays and edits project and main type name launch configuration attributes.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`static String` | `ATTR_CONSIDER_INHERITED_MAIN` Boolean launch configuration attribute indicating whether types inheriting a main method should be considerd when searching for a main type.
`static String` | `ATTR_INCLUDE_EXTERNAL_JARS` Boolean launch configuration attribute indicating that external jars (on the runtime classpath) should be searched when looking for a main type.
`protected static String` | `EMPTY_STRING`
`protected Button` | `fConsiderInheritedMainButton`
`protected Text` | `fMainText`
`protected Button` | `fProjButton`
`protected Text` | `fProjText`
`protected Button` | `fSearchButton`
`protected Button` | `fSearchExternalJarsCheckButton`
`protected Button` | `fStopInMainCheckButton`

Constructor Summary
`JavaMainTab()`

Method Summary
`void` | `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected IJavaProject` | `chooseJavaProject()` Realize a Java Project selection dialog and return the first selected project, or null if there was none.
`void` | `createControl(Composite parent)`
`void` | `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `dispose()`
`Image` | `getImage()`
`protected IJavaProject` | `getJavaProject()` Return the IJavaProject corresponding to the project name in the project name text field, or null if the text does not match a project name.
`String` | `getName()`
`protected void` | `handleProjectButtonSelected()` Show a dialog that lets the user select a project.
`protected void` | `handleSearchButtonSelected()` Show a dialog that lists all main types
`void` | `initializeFrom(ILaunchConfiguration config)`
`protected void` | `initializeMainTypeAndName(IJavaElement javaElement, ILaunchConfigurationWorkingCopy config)` Set the main type & name attributes on the working copy based on the IJavaElement
`boolean` | `isValid(ILaunchConfiguration config)`
`void` | `performApply(ILaunchConfigurationWorkingCopy config)`
`void` | `setDefaults(ILaunchConfigurationWorkingCopy config)`
`protected void` | `updateExternalJars(ILaunchConfiguration configuration)`
`protected void` | `updateInheritedMainsFromConfig(ILaunchConfiguration configuration)`
`protected void` | `updateMainTypeFromConfig(ILaunchConfiguration config)`
`protected void` | `updateProjectFromConfig(ILaunchConfiguration config)`
`protected void` | `updateStopInMainFromConfig(ILaunchConfiguration configuration)`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, getControl, getErrorMessage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fProjText

    protected Text fProjText

### fProjButton

    protected Button fProjButton

### fMainText

    protected Text fMainText

### fSearchButton

    protected Button fSearchButton

### fSearchExternalJarsCheckButton

    protected Button fSearchExternalJarsCheckButton

### fConsiderInheritedMainButton

    protected Button fConsiderInheritedMainButton

### fStopInMainCheckButton

    protected Button fStopInMainCheckButton

### EMPTY_STRING

    protected static final String EMPTY_STRING

See Also:
  Constant Field Values

### ATTR_INCLUDE_EXTERNAL_JARS

    public static final String ATTR_INCLUDE_EXTERNAL_JARS

  Boolean launch configuration attribute indicating that external jars (on the runtime classpath) should be searched when looking for a main type. Default value is `false`.

  Since:
    2.1

### ATTR_CONSIDER_INHERITED_MAIN

    public static final String ATTR_CONSIDER_INHERITED_MAIN

  Boolean launch configuration attribute indicating whether types inheriting a main method should be considerd when searching for a main type. Default value is `false`.

  Since:
    3.0

Constructor Detail

### JavaMainTab

    public JavaMainTab()

Method Detail

### createControl

    public void createControl(Composite parent)

  See Also:
    `ILaunchConfigurationTab.createControl(Composite)`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

  See Also:
    `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

### updateProjectFromConfig

    protected void updateProjectFromConfig(ILaunchConfiguration config)

### updateMainTypeFromConfig

    protected void updateMainTypeFromConfig(ILaunchConfiguration config)

### updateStopInMainFromConfig

    protected void updateStopInMainFromConfig(ILaunchConfiguration configuration)

### updateInheritedMainsFromConfig

    protected void updateInheritedMainsFromConfig(ILaunchConfiguration configuration)

### updateExternalJars

    protected void updateExternalJars(ILaunchConfiguration configuration)

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

  See Also:
    `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

### dispose

    public void dispose()

  See Also:
    `ILaunchConfigurationTab.dispose()`

### handleSearchButtonSelected

    protected void handleSearchButtonSelected()

  Show a dialog that lists all main types

### handleProjectButtonSelected

    protected void handleProjectButtonSelected()

  Show a dialog that lets the user select a project. This in turn provides context for the main type, allowing the user to key a main type name, or constraining the search for main types to the specified project.

### chooseJavaProject

    protected IJavaProject chooseJavaProject()

  Realize a Java Project selection dialog and return the first selected project, or null if there was none.

### getJavaProject

    protected IJavaProject getJavaProject()

  Return the IJavaProject corresponding to the project name in the project name text field, or null if the text does not match a project name.

### isValid

    public boolean isValid(ILaunchConfiguration config)

  See Also:
    `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

  See Also:
    `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeMainTypeAndName

    protected void initializeMainTypeAndName(IJavaElement javaElement,
                                             ILaunchConfigurationWorkingCopy config)

  Set the main type & name attributes on the working copy based on the IJavaElement

### getName

    public String getName()

  See Also:
    `ILaunchConfigurationTab.getName()`

### getImage

    public Image getImage()

  See Also:
    `ILaunchConfigurationTab.getImage()`

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.